Bug 378975 - Uploading avatar to identity.kde.org doesn't work
Summary: Uploading avatar to identity.kde.org doesn't work
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-19 19:23 UTC by Jameson
Modified: 2021-06-16 18:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
KDE Identity giving Error 500 (1.28 MB, image/png)
2021-03-24 04:54 UTC, Hitesh Kumar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jameson 2017-04-19 19:23:15 UTC
I've tried uploading an avatar to identity.kde.org, but I'm getting an error:

Error 500
include(Imagick.php): failed to open stream: No such file or directory

Looks like a php library may be misplaced.
Comment 1 Ben Cooksley 2017-04-20 09:49:34 UTC
Thanks for reporting this, i've now fixed it.
Comment 2 Hitesh Kumar 2021-03-24 04:54:56 UTC
Created attachment 137013 [details]
KDE Identity giving Error 500

This issue is still not fixed atleast not for people who upload avatar for first time. I have attached a screenshot for your reference.
Comment 3 Ben Cooksley 2021-03-24 06:28:36 UTC
This issue reoccurs due to limitations in the repository used to provide PHP on the server, which disables Imagick support each time it is updated.

I have now re-enabled it again.
Comment 4 solarcore 2021-06-16 18:19:17 UTC
I see this upload avatar button is giving 500 error again.
Like in that attachment 137013 [details]
Comment 5 Ben Cooksley 2021-06-16 18:31:15 UTC
This is a known issue unfortunately and is now due to changes in the way PHP is packaged in the PPA we use. Consequently, Imagick is no longer available to PHP5.6, which is what Identity is currently stuck with.

As we're in the process of moving to MyKDE, and because Avatars are not used in many places we've opted not to look into workarounds to this issue i'm afraid.
Comment 6 solarcore 2021-06-16 18:42:08 UTC
Thank you for this info. I tried MyKDE, and yes, avatars there works good!